#ifndef BOARD_SETTING_H
#define BOARD_SETTING_H
#include <TQObject.h>
#include <TGNumberEntry.h>
#include <TGButton.h>
#include <TGComboBox.h>
#include <TGLabel.h>
#include "DigitizerPHA.h"
#include "DigitizerPSD.h"
#include "macro.h"

#define NUM_BOARD_INFO 9

class TGWindow;
class TGMainFrame;

class BoardSetting{
  private:
    TGMainFrame * fMain;
    
    TGNumberEntry * boardIDEntry;
    
    TGTextEntry * entry[NUM_BOARD_INFO];
    
    Digitizer ** digi;

    TGCheckButton * bDualTrace;
    TGComboBox * cbAP1;
    TGComboBox * cbAP2; /// for ComboBox for analog probe 2 
    TGComboBox * cbDP;

    TGComboBox * cbAggOrg;
    TGNumberEntry * numAggBLT; /// number of Agg pre Block transfer

    TGNumberEntry * numMajorCoinWin;
    TGNumberEntry * GlbMajorLevel;
    TGNumberEntry * TRGMajorLevel;
    TGNumberEntry * TRGOUTMajorLevel;

  public:
    BoardSetting(const TGWindow *p, UInt_t w, UInt_t h, Digitizer ** digi, int nBoard);
    virtual ~BoardSetting();
    
    void CloseWindow() { printf("close BoardSetting window\n"); delete this; }
    void ChangeBoard();
    
    ///=== Board Configure
    void SetAutoDataFlush();
    void SetDecimateWF();
    void SetWaveFormRecord();
    void SetDualTrace();
    void SetTriggerPropagation();
    void SetEnableExtra2();
    void SetAnalogProbe1();
    void SetAnalogProbe2();
    void SetDigitalProbe();

    void SetAggregateOrganization();
    void SetReadOutAggregate();
    
    void ReadDigitizerSetting();

    bool isOpened;
  
};
#endif
